{% extends 'afloapp/layouts/main.html' %}

{% block title %}Formateurs{% endblock title %}

{% block content %}
    <div style="display: flex; justify-content: space-between; align-items: center">
        <p style="font-size: 30px">Liste des formateurs :</p>
        {% if perms.add_formateur %}
            <p><a href="{% url 'create-formateur' %}" style="color: lightgreen">Créer un formateur</a></p>
        {% endif %}
    </div>
    {% for formateur in formateurs %}
        <div style="display: flex; justify-content: space-between; align-items: start; border-bottom: 1px solid orange; padding: 10px 0">
            <div style="display: flex; flex-direction: column">
                <div><a href="{% url 'formateur' formateur.id %}">{{ forloop.counter }}</a> - {{ formateur.name }}</div>
                {% if formateur.best_formateur %}
                    <div style="color: yellow; text-transform: uppercase">Best formateur</div>
                {% endif %}
            </div>
            <div style="display: flex; flex-direction: column; align-items: end">
                <div style="display: flex; gap: 20px">
                    <a href="{% url 'update-formateur' formateur.id %}">Modifier</a>
                    <a href="{% url 'delete-formateur' formateur.id %}" style="color: lightcoral">Supprimer</a>
                </div>
                {% if formateur.best_formateur %}
                    <a href="{% url 'remove-best-formateur' formateur.id %}" style="color: orange">Ne plus être best formateur</a>
                {% endif %}
            </div>
        </div>
    {% endfor %}
{% endblock content %}

